Page MenuHomePhabricator

[esan] EfficiencySanitizer driver flags
ClosedPublic

Authored by bruening on Apr 15 2016, 11:07 AM.

Details

Summary

Adds a framework to enable the instrumentation pass for the new
EfficiencySanitizer ("esan") family of tools. Adds a flag for esan's
cache fragmentation tool via -fsanitize=efficiency-cache-frag.

Diff Detail

Repository
rL LLVM

Event Timeline

bruening updated this revision to Diff 53919.Apr 15 2016, 11:07 AM
bruening retitled this revision from to [esan] EfficiencySanitizer driver flags.
bruening updated this object.
bruening added a reviewer: eugenis.
bruening added subscribers: kcc, zhaoqin, llvm-commits.
aizatsky accepted this revision.Apr 15 2016, 3:09 PM
aizatsky edited edge metadata.
This revision is now accepted and ready to land.Apr 15 2016, 3:09 PM
vitalybuka accepted this revision.Apr 15 2016, 3:20 PM
vitalybuka edited edge metadata.
filcab added a subscriber: filcab.Apr 20 2016, 8:20 AM

You probably want to add to IncompatibleGroups in SanitizerArgs.cpp.
This patch is missing test cases.

You probably want to add to IncompatibleGroups in SanitizerArgs.cpp.
This patch is missing test cases.

Done.

bruening updated this revision to Diff 54428.Apr 20 2016, 2:51 PM
bruening edited edge metadata.

Add test cases

filcab accepted this revision.Apr 21 2016, 5:43 AM
filcab added a reviewer: filcab.

LGTM

lib/Lex/PPMacroExpansion.cpp
1104 ↗(On Diff #54428)

I wonder if we'll want a finer-grained feature, but for now this is good. We'll change/add if we need.

This revision was automatically updated to reflect the committed changes.